with GNATCOM.Dispinterface;

package MSHTML.IHTMLGenericElement_Interface is

   type IHTMLGenericElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLGenericElement_Type);

   function Pointer (This : IHTMLGenericElement_Type)
     return Pointer_To_IHTMLGenericElement;

   procedure Attach (This    : in out IHTMLGenericElement_Type;
                     Pointer : in     Pointer_To_IHTMLGenericElement);

   function Get_recordset
     (This : IHTMLGenericElement_Type)
     return GNATCOM.Types.Pointer_To_IDispatch;

   function namedRecordset
     (This        : IHTMLGenericElement_Type;
      dataMember  : GNATCOM.Types.BSTR;
      hierarchy   : access GNATCOM.Types.VARIANT :=
        GNATCOM.Types.PVARIANT_MISSING;
      Free        : Boolean := True)
     return GNATCOM.Types.Pointer_To_IDispatch;

end MSHTML.IHTMLGenericElement_Interface;

